//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ActorType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="ActorType"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="sender"/&gt;
 *     &lt;enumeration value="receiver"/&gt;
 *     &lt;enumeration value="stationary"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ActorType")
@XmlEnum
public enum ActorType {


    /**
     * This actor is the sender of the transaction
     * 
     */
    @XmlEnumValue("sender")
    SENDER("sender"),

    /**
     * This actor is the receiver of the transaction
     * 
     */
    @XmlEnumValue("receiver")
    RECEIVER("receiver"),

    /**
     * This actor is the person or device responsible for persisting the data
     * 
     */
    @XmlEnumValue("stationary")
    STATIONARY("stationary");
    private final String value;

    ActorType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ActorType fromValue(String v) {
        for (ActorType c: ActorType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
